Debug

Administrative debug endpoints.

Get debug information

GET
https://peertube2.cpy.re/api/v1/server/debug

Retrieve internal debug information for administrators.

Response

200OKobject

successful operation

Response fields application/json
ipstring
activityPubMessagesWaitinginteger
secondariesUpinteger

Number of secondary processes that recently sent a heartbeat

processesArray<object>

Processes of the platform that recently sent a heartbeat, the primary first

Show child attributes
idstring
rolestringprimarysecondary
hostnamestring
pidinteger
versionstring
startedAtstring<date-time>

When the process started to serve requests

lastSeenAtstring<date-time>

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin

Run a debug command

POST
https://peertube2.cpy.re/api/v1/server/debug/run-command

Run an internal debug command as an administrator.

Body

application/json
One of
commandstringremove-dandling-resumable-uploadsremove-expired-user-exportsprocess-video-stats-bufferprocess-video-viewersprocess-update-videos-schedulerprocess-video-channel-sync-latestprocess-remove-old-statsprocess-video-files-lifecyclerequired
commandstringtest-emailsrequired
emailstring<email>required

Response

204No Content

successful operation

400Bad Request

invalid command or invalid email

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin